SQLRClient.SQLRelayParameter Class Reference

Inherits IDataParameter.

## Public Member Functions

| SQLRelayParameter ()
| SQLRelayParameter (String parametername, DbType dbtype)
| SQLRelayParameter (String parametername, Object value)
| SQLRelayParameter (String parametername, DbType dbtype, String sourcecolumn)

## Properties

DbType | DbType`[get, set]`
SQLRelayType | SQLRelayType`[get, set]`
ParameterDirection | Direction`[get, set]`
Boolean | IsNullable`[get]`
String | ParameterName`[get, set]`
String | SourceColumn`[get, set]`
DataRowVersion | SourceVersion`[get, set]`
Object | Value`[get, set]`
UInt32 | Size`[get, set]`
Boolean | IsNull`[get]`

## Constructor & Destructor Documentation

SQLRClient.SQLRelayParameter.SQLRelayParameter | ( |  | ) |

Initializes a new instance of the SQLRelayParameter class.

SQLRClient.SQLRelayParameter.SQLRelayParameter | ( | String | parametername,
|  | DbType | dbtype
| ) |  |

Initializes a new instance of the SQLRelayParameter class that uses the parameter name and DbType.

SQLRClient.SQLRelayParameter.SQLRelayParameter | ( | String | parametername,
|  | Object | value
| ) |  |

Initializes a new instance of the SQLRelayParameter class that uses the parameter name and value.

SQLRClient.SQLRelayParameter.SQLRelayParameter | ( | String | parametername,
|  | DbType | dbtype,
|  | String | sourcecolumn
| ) |  |

Initializes a new instance of the SQLRelayParameter class that uses the parameter name, DbType and source column.

## Property Documentation

DbType SQLRClient.SQLRelayParameter.DbType

get set

Gets or sets the DbType of the parameter. This should be used with parameters that are not Clob, Blob or Cursor parameters.

ParameterDirection SQLRClient.SQLRelayParameter.Direction

get set

Gets or sets a value that indicates whether the parameter is input-only or output-only. SQL Relay only supports input and output parameters. Other parameter directions will be ignored.

Boolean SQLRClient.SQLRelayParameter.IsNull

get

Gets whether or not the parameter data is null.

Boolean SQLRClient.SQLRelayParameter.IsNullable

get

Gets or sets a value that indicates whether the parameter accepts null values.

String SQLRClient.SQLRelayParameter.ParameterName

get set

Gets or sets the name of the parameter.

UInt32 SQLRClient.SQLRelayParameter.Size

get set

Gets or sets the maximum size, in bytes, of the data within the parameter.

String SQLRClient.SQLRelayParameter.SourceColumn

get set

Gets or sets the name of the source column mapped to the DataSet and used for loading or returning the Value.

DataRowVersion SQLRClient.SQLRelayParameter.SourceVersion

get set

Gets or sets the DataRowVersion to use when you load Value.

SQLRelayType SQLRClient.SQLRelayParameter.SQLRelayType

get set

Gets or sets the SQLRelayType of the parameter. This should be used with Clob, Blob or Cursor parameters.

Object SQLRClient.SQLRelayParameter.Value

get set

Gets or sets the value of the parameter.